Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.jdbc.oci.xa
Class XADataSource

    java.lang.Object
      |
      +--weblogic.jdbc.oci.xa.XADataSource

public final class XADataSource
extends java.lang.Object
implements javax.sql.XADataSource, javax.transaction.xa.XAResource, java.io.Serializable

XADataSource is a factory for XA connections. It also provides XAResource functionality on top of Oracle's C XA switch. XADataSource is implemented as a JavaBean and exposes its data source properties by conforming to the JavaBean design patterns.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Method Summary
`void` | `commit(javax.transaction.xa.Xid xid, boolean onePhase)` Deprecated.
`void` | `end(javax.transaction.xa.Xid xid, int flags)` Deprecated.
`void` | `forget(javax.transaction.xa.Xid xid)` Deprecated.
`java.lang.String` | `getCloseInfo()` Deprecated.
`java.lang.String` | `getDatabaseName()` Deprecated.
`java.lang.String` | `getDataSourceName()` Deprecated.
`java.lang.String` | `getDescription()` Deprecated.
`int` | `getLoginDelaySeconds()` Deprecated.
`int` | `getLoginTimeout()` Deprecated.
`java.io.PrintWriter` | `getLogWriter()` Deprecated.
`java.lang.String` | `getNetworkProtocol()` Deprecated.
`java.lang.String` | `getOpenString()` Deprecated.
`java.lang.String` | `getPassword()` Deprecated.
`int` | `getPortNumber()` Deprecated.
`java.lang.String` | `getRoleName()` Deprecated.
`java.lang.String` | `getServerName()` Deprecated.
`int` | `getTransactionTimeout()` Deprecated.
`java.lang.String` | `getUser()` Deprecated.
`javax.sql.XAConnection` | `getXAConnection()` Deprecated.
`javax.sql.XAConnection` | `getXAConnection(java.lang.String user, java.lang.String password)` Deprecated.
`java.lang.String` | `getXAPassword()` Deprecated.
`void` | `internalCommit(javax.transaction.xa.Xid xid, boolean onePhase, boolean retry)` Deprecated.
`void` | `internalEnd(javax.transaction.xa.Xid xid, int flags, boolean retry)` Deprecated.
`void` | `internalForget(javax.transaction.xa.Xid xid, boolean retry)` Deprecated.
`int` | `internalPrepare(javax.transaction.xa.Xid xid, boolean retry)` Deprecated.
`void` | `internalRollback(javax.transaction.xa.Xid xid, boolean retry)` Deprecated.
`void` | `internalStart(javax.transaction.xa.Xid xid, int flags, boolean retry)` Deprecated.
`boolean` | `isSameRM(javax.transaction.xa.XAResource xares)` Deprecated.
`int` | `prepare(javax.transaction.xa.Xid xid)` Deprecated.
`javax.transaction.xa.Xid[]` | `recover(int flags)` Deprecated. Returns the full batch of Xids of unresolved transactions from the RM.
`void` | `rollback(javax.transaction.xa.Xid xid)` Deprecated.
`void` | `setCloseInfo(java.lang.String closeinfo)` Deprecated.
`void` | `setDatabaseName(java.lang.String name)` Deprecated.
`void` | `setDataSourceName(java.lang.String name)` Deprecated.
`void` | `setDescription(java.lang.String des)` Deprecated.
`void` | `setLoginDelaySeconds(int secs)` Deprecated.
`void` | `setLoginTimeout(int seconds)` Deprecated.
`void` | `setLogWriter(java.io.PrintWriter out)` Deprecated.
`void` | `setNetworkProtocol(java.lang.String np)` Deprecated.
`void` | `setOpenString(java.lang.String openString)` Deprecated.
`void` | `setPassword(java.lang.String pw)` Deprecated.
`void` | `setPortNumber(int port)` Deprecated.
`void` | `setRoleName(java.lang.String role)` Deprecated.
`void` | `setServerName(java.lang.String server)` Deprecated.
`boolean` | `setTransactionTimeout(int seconds)` Deprecated.
`void` | `setUser(java.lang.String user)` Deprecated.
`void` | `start(javax.transaction.xa.Xid xid, int flags)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### setDatabaseName

    public void setDatabaseName(java.lang.String name)

  Deprecated.

### getDatabaseName

    public java.lang.String getDatabaseName()

  Deprecated.

### setDataSourceName

    public void setDataSourceName(java.lang.String name)

  Deprecated.

### getDataSourceName

    public java.lang.String getDataSourceName()

  Deprecated.

### setDescription

    public void setDescription(java.lang.String des)

  Deprecated.

### getDescription

    public java.lang.String getDescription()

  Deprecated.

### setNetworkProtocol

    public void setNetworkProtocol(java.lang.String np)

  Deprecated.

### getNetworkProtocol

    public java.lang.String getNetworkProtocol()

  Deprecated.

### setPassword

    public void setPassword(java.lang.String pw)

  Deprecated.

### getPassword

    public java.lang.String getPassword()

  Deprecated.

### getXAPassword

    public java.lang.String getXAPassword()

  Deprecated.

### setPortNumber

    public void setPortNumber(int port)

  Deprecated.

### getPortNumber

    public int getPortNumber()

  Deprecated.

### setRoleName

    public void setRoleName(java.lang.String role)

  Deprecated.

### getRoleName

    public java.lang.String getRoleName()

  Deprecated.

### setServerName

    public void setServerName(java.lang.String server)

  Deprecated.

### getServerName

    public java.lang.String getServerName()

  Deprecated.

### setUser

    public void setUser(java.lang.String user)

  Deprecated.

### getUser

    public java.lang.String getUser()

  Deprecated.

### setOpenString

    public void setOpenString(java.lang.String openString)

  Deprecated.

### getOpenString

    public java.lang.String getOpenString()

  Deprecated.

### setCloseInfo

    public void setCloseInfo(java.lang.String closeinfo)

  Deprecated.

### getCloseInfo

    public java.lang.String getCloseInfo()

  Deprecated.

### setLoginDelaySeconds

    public void setLoginDelaySeconds(int secs)

  Deprecated.

### getLoginDelaySeconds

    public int getLoginDelaySeconds()

  Deprecated.

### getXAConnection

    public javax.sql.XAConnection getXAConnection()
                                           throws java.sql.SQLException

  Deprecated.
  Specified by:
    getXAConnection in interface javax.sql.XADataSource

### getXAConnection

    public javax.sql.XAConnection getXAConnection(java.lang.String user,
                                                  java.lang.String password)
                                           throws java.sql.SQLException

  Deprecated.
  Specified by:
    getXAConnection in interface javax.sql.XADataSource

### getLogWriter

    public java.io.PrintWriter getLogWriter()
                                     throws java.sql.SQLException

  Deprecated.
  Specified by:
    getLogWriter in interface javax.sql.XADataSource

### setLogWriter

    public void setLogWriter(java.io.PrintWriter out)
                      throws java.sql.SQLException

  Deprecated.
  Specified by:
    setLogWriter in interface javax.sql.XADataSource

### setLoginTimeout

    public void setLoginTimeout(int seconds)
                         throws java.sql.SQLException

  Deprecated.
  Specified by:
    setLoginTimeout in interface javax.sql.XADataSource

### getLoginTimeout

    public int getLoginTimeout()
                        throws java.sql.SQLException

  Deprecated.
  Specified by:
    getLoginTimeout in interface javax.sql.XADataSource

### start

    public void start(javax.transaction.xa.Xid xid,
                      int flags)
               throws javax.transaction.xa.XAException

  Deprecated.
  Specified by:
    start in interface javax.transaction.xa.XAResource

### internalStart

    public void internalStart(javax.transaction.xa.Xid xid,
                              int flags,
                              boolean retry)
                       throws javax.transaction.xa.XAException

  Deprecated.

### end

    public void end(javax.transaction.xa.Xid xid,
                    int flags)
             throws javax.transaction.xa.XAException

  Deprecated.
  Specified by:
    end in interface javax.transaction.xa.XAResource

### internalEnd

    public void internalEnd(javax.transaction.xa.Xid xid,
                            int flags,
                            boolean retry)
                     throws javax.transaction.xa.XAException

  Deprecated.

### prepare

    public int prepare(javax.transaction.xa.Xid xid)
                throws javax.transaction.xa.XAException

  Deprecated.
  Specified by:
    prepare in interface javax.transaction.xa.XAResource

### internalPrepare

    public int internalPrepare(javax.transaction.xa.Xid xid,
                               boolean retry)
                        throws javax.transaction.xa.XAException

  Deprecated.

### commit

    public void commit(javax.transaction.xa.Xid xid,
                       boolean onePhase)
                throws javax.transaction.xa.XAException

  Deprecated.
  Specified by:
    commit in interface javax.transaction.xa.XAResource

### internalCommit

    public void internalCommit(javax.transaction.xa.Xid xid,
                               boolean onePhase,
                               boolean retry)
                        throws javax.transaction.xa.XAException

  Deprecated.

### rollback

    public void rollback(javax.transaction.xa.Xid xid)
                  throws javax.transaction.xa.XAException

  Deprecated.
  Specified by:
    rollback in interface javax.transaction.xa.XAResource

### internalRollback

    public void internalRollback(javax.transaction.xa.Xid xid,
                                 boolean retry)
                          throws javax.transaction.xa.XAException

  Deprecated.

### forget

    public void forget(javax.transaction.xa.Xid xid)
                throws javax.transaction.xa.XAException

  Deprecated.
  Specified by:
    forget in interface javax.transaction.xa.XAResource

### internalForget

    public void internalForget(javax.transaction.xa.Xid xid,
                               boolean retry)
                        throws javax.transaction.xa.XAException

  Deprecated.

### recover

    public javax.transaction.xa.Xid[] recover(int flags)
                                       throws javax.transaction.xa.XAException

  Deprecated.
  Returns the full batch of Xids of unresolved transactions from the RM. Only TMSTARTRSCAN or TMSTARTRSCAN|TMENDRSCAN are accepted as valid flags.
  Specified by:
    recover in interface javax.transaction.xa.XAResource

### isSameRM

    public boolean isSameRM(javax.transaction.xa.XAResource xares)
                     throws javax.transaction.xa.XAException

  Deprecated.
  Specified by:
    isSameRM in interface javax.transaction.xa.XAResource

### getTransactionTimeout

    public int getTransactionTimeout()
                              throws javax.transaction.xa.XAException

  Deprecated.
  Specified by:
    getTransactionTimeout in interface javax.transaction.xa.XAResource

### setTransactionTimeout

    public boolean setTransactionTimeout(int seconds)
                                  throws javax.transaction.xa.XAException

  Deprecated.
  Specified by:
    setTransactionTimeout in interface javax.transaction.xa.XAResource

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD